Bug 1251365 - dleyna-server: Crashes due to double-free when destroying the same dls_upnp_t or dls_manager_t twice
dleyna-server: Crashes due to double-free when destroying the same dls_upnp_t...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dleyna-server (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Debarshi Ray
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:85565568a6e7358cac906d6748a...
:
: 1202052 1204660 1204661 1208905 1215331 1253071 1253073 1261894 1266548 1301110 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-07 02:23 EDT by Steven Newbury
Modified: 2016-09-27 10:51 EDT (History)
8 users (show)

See Also:
Fixed In Version: dleyna-server-0.5.0-4.fc25 dleyna-server-0.5.0-4.fc24 dleyna-server-0.5.0-3.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-22 03:31:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (15.76 KB, text/plain)
2015-08-07 02:23 EDT, Steven Newbury
no flags Details
File: cgroup (229 bytes, text/plain)
2015-08-07 02:23 EDT, Steven Newbury
no flags Details
File: core_backtrace (3.26 KB, text/plain)
2015-08-07 02:23 EDT, Steven Newbury
no flags Details
File: dso_list (4.07 KB, text/plain)
2015-08-07 02:23 EDT, Steven Newbury
no flags Details
File: environ (710 bytes, text/plain)
2015-08-07 02:23 EDT, Steven Newbury
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-07 02:24 EDT, Steven Newbury
no flags Details
File: maps (20.15 KB, text/plain)
2015-08-07 02:24 EDT, Steven Newbury
no flags Details
File: mountinfo (3.81 KB, text/plain)
2015-08-07 02:24 EDT, Steven Newbury
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-07 02:24 EDT, Steven Newbury
no flags Details
File: open_fds (1.15 KB, text/plain)
2015-08-07 02:24 EDT, Steven Newbury
no flags Details
File: proc_pid_status (1.14 KB, text/plain)
2015-08-07 02:24 EDT, Steven Newbury
no flags Details
File: var_log_messages (28 bytes, text/plain)
2015-08-07 02:24 EDT, Steven Newbury
no flags Details

  None (edit)
Description Steven Newbury 2015-08-07 02:23:50 EDT
Version-Release number of selected component:
dleyna-server-0.5.0-2.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/libexec/dleyna-server-service
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/libexec/dleyna-server-service
global_pid:     15015
kernel:         4.2.0-0.rc4.git4.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 g_type_check_instance_is_fundamentally_a at gtype.c:4026
 #2 dls_upnp_delete at upnp.c:552
 #3 prv_control_point_stop_service at server.c:1356
 #4 prv_context_quit_cb at libdleyna/core/main-loop.c:61
 #9 dleyna_main_loop_start at libdleyna/core/main-loop.c:155
Comment 1 Steven Newbury 2015-08-07 02:23:54 EDT
Created attachment 1060203 [details]
File: backtrace
Comment 2 Steven Newbury 2015-08-07 02:23:55 EDT
Created attachment 1060204 [details]
File: cgroup
Comment 3 Steven Newbury 2015-08-07 02:23:56 EDT
Created attachment 1060205 [details]
File: core_backtrace
Comment 4 Steven Newbury 2015-08-07 02:23:58 EDT
Created attachment 1060206 [details]
File: dso_list
Comment 5 Steven Newbury 2015-08-07 02:23:59 EDT
Created attachment 1060207 [details]
File: environ
Comment 6 Steven Newbury 2015-08-07 02:24:00 EDT
Created attachment 1060208 [details]
File: limits
Comment 7 Steven Newbury 2015-08-07 02:24:02 EDT
Created attachment 1060209 [details]
File: maps
Comment 8 Steven Newbury 2015-08-07 02:24:03 EDT
Created attachment 1060210 [details]
File: mountinfo
Comment 9 Steven Newbury 2015-08-07 02:24:04 EDT
Created attachment 1060211 [details]
File: namespaces
Comment 10 Steven Newbury 2015-08-07 02:24:06 EDT
Created attachment 1060212 [details]
File: open_fds
Comment 11 Steven Newbury 2015-08-07 02:24:07 EDT
Created attachment 1060213 [details]
File: proc_pid_status
Comment 12 Steven Newbury 2015-08-07 02:24:08 EDT
Created attachment 1060214 [details]
File: var_log_messages
Comment 13 Jan Kurik 2016-02-24 08:35:36 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 14 Debarshi Ray 2016-09-16 02:32:12 EDT
*** Bug 1261894 has been marked as a duplicate of this bug. ***
Comment 15 Debarshi Ray 2016-09-16 02:33:08 EDT
*** Bug 1253073 has been marked as a duplicate of this bug. ***
Comment 16 Debarshi Ray 2016-09-16 02:33:21 EDT
*** Bug 1215331 has been marked as a duplicate of this bug. ***
Comment 17 Debarshi Ray 2016-09-16 02:35:22 EDT
*** Bug 1253071 has been marked as a duplicate of this bug. ***
Comment 18 Debarshi Ray 2016-09-16 02:35:46 EDT
*** Bug 1204660 has been marked as a duplicate of this bug. ***
Comment 19 Debarshi Ray 2016-09-16 02:37:40 EDT
*** Bug 1266548 has been marked as a duplicate of this bug. ***
Comment 20 Debarshi Ray 2016-09-16 02:40:21 EDT
*** Bug 1301110 has been marked as a duplicate of this bug. ***
Comment 21 Debarshi Ray 2016-09-16 10:56:52 EDT
*** Bug 1202052 has been marked as a duplicate of this bug. ***
Comment 22 Debarshi Ray 2016-09-16 11:00:49 EDT
*** Bug 1204661 has been marked as a duplicate of this bug. ***
Comment 23 Debarshi Ray 2016-09-16 11:02:28 EDT
*** Bug 1208905 has been marked as a duplicate of this bug. ***
Comment 24 Fedora Update System 2016-09-16 11:28:13 EDT
dleyna-server-0.5.0-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-46499a4a8e
Comment 25 Fedora Update System 2016-09-16 11:29:14 EDT
dleyna-server-0.5.0-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8f80abda35
Comment 26 Fedora Update System 2016-09-16 11:30:28 EDT
dleyna-server-0.5.0-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3c3f595637
Comment 27 Fedora Update System 2016-09-16 20:52:31 EDT
dleyna-server-0.5.0-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3c3f595637
Comment 28 Fedora Update System 2016-09-16 20:53:05 EDT
dleyna-server-0.5.0-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-46499a4a8e
Comment 29 Fedora Update System 2016-09-17 16:55:38 EDT
dleyna-server-0.5.0-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8f80abda35
Comment 30 Fedora Update System 2016-09-22 03:31:25 EDT
dleyna-server-0.5.0-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 31 Fedora Update System 2016-09-22 20:23:41 EDT
dleyna-server-0.5.0-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 32 Fedora Update System 2016-09-27 10:51:50 EDT
dleyna-server-0.5.0-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.